summaryrefslogtreecommitdiffstats
path: root/apps/dav/tests/travis/caldav
diff options
context:
space:
mode:
authorThomas Müller <thomas.mueller@tmit.eu>2015-12-22 10:52:54 +0100
committerThomas Müller <thomas.mueller@tmit.eu>2015-12-22 10:52:54 +0100
commitd17c2fb8d923eb2a5aa01b849139459d93227dad (patch)
treead94ada777e14ef82d5a32c1983925452344bb31 /apps/dav/tests/travis/caldav
parent152e72c4fcf7d4003924818fae9b1c2f86d6cd2a (diff)
parentd3883ca9d41dd24337cda23109defde5370dbf25 (diff)
downloadnextcloud-server-d17c2fb8d923eb2a5aa01b849139459d93227dad.tar.gz
nextcloud-server-d17c2fb8d923eb2a5aa01b849139459d93227dad.zip
Merge pull request #21287 from owncloud/travis-dav-caldavtester
Adding integration tests for CalDAV
Diffstat (limited to 'apps/dav/tests/travis/caldav')
-rw-r--r--apps/dav/tests/travis/caldav/install.sh20
-rw-r--r--apps/dav/tests/travis/caldav/script.sh18
2 files changed, 38 insertions, 0 deletions
diff --git a/apps/dav/tests/travis/caldav/install.sh b/apps/dav/tests/travis/caldav/install.sh
new file mode 100644
index 00000000000..e836e37f86f
--- /dev/null
+++ b/apps/dav/tests/travis/caldav/install.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+SCRIPT=`realpath $0`
+SCRIPTPATH=`dirname $SCRIPT`
+
+
+if [ ! -f CalDAVTester/run.py ]; then
+ cd "$SCRIPTPATH"
+ git clone https://github.com/DeepDiver1975/CalDAVTester.git
+ cd "$SCRIPTPATH/CalDAVTester"
+ python run.py -s
+ cd "$SCRIPTPATH"
+fi
+
+# create test user
+cd "$SCRIPTPATH/../../../../../"
+OC_PASS=user01 php occ user:add --password-from-env user01
+php occ dav:create-calendar user01 calendar
+OC_PASS=user02 php occ user:add --password-from-env user02
+php occ dav:create-calendar user02 calendar
+cd "$SCRIPTPATH/../../../../../"
diff --git a/apps/dav/tests/travis/caldav/script.sh b/apps/dav/tests/travis/caldav/script.sh
new file mode 100644
index 00000000000..9a818b553f7
--- /dev/null
+++ b/apps/dav/tests/travis/caldav/script.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+SCRIPT=`realpath $0`
+SCRIPTPATH=`dirname $SCRIPT`
+
+# start the server
+php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../../.." &
+
+sleep 30
+
+# run the tests
+cd "$SCRIPTPATH/CalDAVTester"
+PYTHONPATH="$SCRIPTPATH/pycalendar/src" python testcaldav.py --print-details-onfail -s "$SCRIPTPATH/../caldavtest/config/serverinfo.xml" -o cdt.txt \
+ "$SCRIPTPATH/../caldavtest/tests/CalDAV/current-user-principal.xml"
+RESULT=$?
+
+tail "$/../../../../../data-autotest/owncloud.log"
+
+exit $RESULT